Cacti (home)ForumsRepositoryDocumentation
Cacti: offical forums and support
It is currently Sat Oct 25, 2014 1:16 am

All times are UTC - 5 hours




Post new topic This topic is locked, you cannot edit posts or make further replies.  [ 16 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: Cacti 0.8.7f Released!
PostPosted: Wed May 19, 2010 8:52 pm 
Offline
Developer/Forum Admin
User avatar

Joined: Mon Nov 17, 2003 6:35 pm
Posts: 5904
Location: Michigan, USA
Cacti 0.8.7f has been released!

Release notes: http://www.cacti.net/release_notes_0_8_7f.php
Download at http://www.cacti.net/download_cacti.php

Spine 0.8.7f will be available by early next week. Cacti 0.8.7f will work just fine with Spine 0.8.7e.

_________________
Tony Roman
Experience is what causes a person to make new mistakes instead of old ones.
There are only 3 way to complete a project: Good, Fast or Cheap, pick two.
With age comes wisdom, what you choose to do with it determines whether or not you are wise.


Top
 Profile  
 
 Post subject: RE: cacti 0.8.7f release
PostPosted: Wed May 19, 2010 11:47 pm 
Offline

Joined: Tue Nov 24, 2009 12:16 am
Posts: 10
awsome! lots of great improvements.


Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 2:17 am 
Offline
Cacti Moderator
User avatar

Joined: Tue Mar 02, 2010 9:03 am
Posts: 348
Great Work!
I hope FreeBSD Ports are coming soon..

_________________
Cacti version: 0.8.7e5
OS: FreeBSD 7.2
Plugin Architecture: 2.6
Plugins: aggregate 0.74, autom8 0.33, loginmod 1.0

Official Cacti Documentation
Gandalfs Official Debugging Help


Last edited by Sirup on Thu May 20, 2010 2:44 am, edited 2 times in total.

Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 2:43 am 
Offline
Cacti User

Joined: Thu Apr 08, 2010 4:17 am
Posts: 105
Location: France
Ok! I will try to upgrade my Cacti...!
Will I keep my plugins when I upgrade...?

_________________
"Sorry for my english... I'm french!"
Cacti version : 0.8.7e
Plugin Architecture : 2.6
Plugins : Settings 0.5, Monitor 0.8.2, Thresholds 0.4.1, Nectar 0.26, Discovery 0.9, Realtime 0.32, Update 0.4, Weathermap 0.97a, Hostinfo 0.2


Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 7:46 am 
Offline
Developer/Forum Admin
User avatar

Joined: Mon Nov 17, 2003 6:35 pm
Posts: 5904
Location: Michigan, USA
Do not upgrade until the PIA for 0.8.7f is released. This should be today or tomorrow.

_________________
Tony Roman
Experience is what causes a person to make new mistakes instead of old ones.
There are only 3 way to complete a project: Good, Fast or Cheap, pick two.
With age comes wisdom, what you choose to do with it determines whether or not you are wise.


Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 9:34 am 
Offline
Cacti User

Joined: Thu Apr 08, 2010 4:17 am
Posts: 105
Location: France
rony wrote:
Do not upgrade until the PIA for 0.8.7f is released. This should be today or tomorrow.
Too late... :(

_________________
"Sorry for my english... I'm french!"
Cacti version : 0.8.7e
Plugin Architecture : 2.6
Plugins : Settings 0.5, Monitor 0.8.2, Thresholds 0.4.1, Nectar 0.26, Discovery 0.9, Realtime 0.32, Update 0.4, Weathermap 0.97a, Hostinfo 0.2


Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 9:36 am 
Offline
Cacti Moderator
User avatar

Joined: Tue Mar 02, 2010 9:03 am
Posts: 348
Poul - you didn't upgrade since about months - and now, the only bad moment you do! Your timing is crap! :lol:

_________________
Cacti version: 0.8.7e5
OS: FreeBSD 7.2
Plugin Architecture: 2.6
Plugins: aggregate 0.74, autom8 0.33, loginmod 1.0

Official Cacti Documentation
Gandalfs Official Debugging Help


Top
 Profile  
 
 Post subject:
PostPosted: Thu May 20, 2010 9:54 am 
Offline
Cacti User

Joined: Thu Apr 08, 2010 4:17 am
Posts: 105
Location: France
Sirup wrote:
Poul - you didn't upgrade since about months - and now, the only bad moment you do! Your timing is crap! :lol:
Sirup, I had tell you that I have always a problem...!!!

Why make available the new version, if we can not install it...? :(

So, what must I do...?
-> wait the plugin architecture for cacti version 0.8.7f ?
-> install this plugin ?
-> and how recover my plugins...? copy my old plugins in the "plugins" directory, and add them to global.php ?

Ooohh... :( Why there are always things like this to me...

_________________
"Sorry for my english... I'm french!"
Cacti version : 0.8.7e
Plugin Architecture : 2.6
Plugins : Settings 0.5, Monitor 0.8.2, Thresholds 0.4.1, Nectar 0.26, Discovery 0.9, Realtime 0.32, Update 0.4, Weathermap 0.97a, Hostinfo 0.2


Top
 Profile  
 
 Post subject:
PostPosted: Fri May 21, 2010 3:10 am 
Offline
Cacti User
User avatar

Joined: Tue Feb 10, 2009 3:24 am
Posts: 208
Location: Frankfurt (a.M.), Germany
French_Poul wrote:
Why make available the new version, if we can not install it...? :(


Think twice. The Crew relesed the new Cacti version, that plug-in stuff is not officially maintained by the Cacti group but by plug-in authors. That entire Plug-In stuff would be much more complicated without the PA, which actually is a plug-in, too. So you should really bring up or use a testsystem to try things like that. Upgrading Cacti is something I plan for days in advance! Backup and stuff, you know...

What you CAN do is revert the upgrade manually - for example by restoring your backup ;)

Comme c'est dommage !

brgds
Hyperlord

_________________
I'm a bit redundant. I repeat myself too ...


Top
 Profile  
 
 Post subject:
PostPosted: Fri May 21, 2010 3:32 am 
Offline
Cacti User

Joined: Thu Apr 08, 2010 4:17 am
Posts: 105
Location: France
I think I will put the version 08.7e... Is it ok ? (I prefere ask before doing that... :wink: )

_________________
"Sorry for my english... I'm french!"
Cacti version : 0.8.7e
Plugin Architecture : 2.6
Plugins : Settings 0.5, Monitor 0.8.2, Thresholds 0.4.1, Nectar 0.26, Discovery 0.9, Realtime 0.32, Update 0.4, Weathermap 0.97a, Hostinfo 0.2


Top
 Profile  
 
 Post subject:
PostPosted: Fri May 21, 2010 3:46 am 
Offline
Cacti User
User avatar

Joined: Tue Feb 10, 2009 3:24 am
Posts: 208
Location: Frankfurt (a.M.), Germany
Bonjous,

yeah e should work like a charm :)
so how do you want to do that? Copy over the files or setting up a new machine and moving the DB and RRDs?

brgds

_________________
I'm a bit redundant. I repeat myself too ...


Top
 Profile  
 
 Post subject:
PostPosted: Fri May 21, 2010 3:53 am 
Offline
Cacti User

Joined: Thu Apr 08, 2010 4:17 am
Posts: 105
Location: France
Bonjour!

I think I will rename the cacti directory and keep it on the server for after (or for never... :wink:) ; And put the version 0.8.7e on the same server with keeping rra and database...

How can I be sure when I will put the version 0.8.7f of cacti ?

Thanks!

PS : I hope I not talk too bad english... :wink:

_________________
"Sorry for my english... I'm french!"
Cacti version : 0.8.7e
Plugin Architecture : 2.6
Plugins : Settings 0.5, Monitor 0.8.2, Thresholds 0.4.1, Nectar 0.26, Discovery 0.9, Realtime 0.32, Update 0.4, Weathermap 0.97a, Hostinfo 0.2


Top
 Profile  
 
 Post subject: Re: Cacti 0.8.7f Released!
PostPosted: Sun May 23, 2010 6:15 pm 
Offline
Cacti User

Joined: Mon Dec 11, 2006 10:17 am
Posts: 216
rony wrote:
Cacti 0.8.7f has been released!

Release notes: http://www.cacti.net/release_notes_0_8_7f.php
Download at http://www.cacti.net/download_cacti.php

Spine 0.8.7f will be available by early next week. Cacti 0.8.7f will work just fine with Spine 0.8.7e.

Release notes say that Cacti 0.8.7f requires boost 4.0 plugin. Has boost 4.0 been officially released as of yet? If not, I guess one should postpone upgrading Cacti (currently running 0.8.7e with boost 3.1) until it is available?

Thanks!


Top
 Profile  
 
 Post subject:
PostPosted: Sun May 23, 2010 6:46 pm 
Offline
Developer
User avatar

Joined: Tue May 14, 2002 5:08 pm
Posts: 14861
Location: MI, USA
Boost 4.0-1 is on the Docs site. However, depending on what version of MySQL 5.x you are using, there a nasty bug that I'm going to work around with Boost 4.1. It's an "awful" bug.

TheWitness

_________________
True understanding begins only when we realize how little we truly understand...

Life is an adventure, let yours begin with Cacti!

Author of MacTrack, Boost, CLog, SpikeKill, Platform RTM, DSStats, maintainer of Spine, lot's of unpublished work and most of Cacti's bugs.
_________________
Official Cacti Documentation
Gandalfs Official Debugging Help
Central Plugin Repository
Central Templates Repository


Top
 Profile  
 
 Post subject:
PostPosted: Sun May 23, 2010 6:54 pm 
Offline
Cacti User

Joined: Mon Dec 11, 2006 10:17 am
Posts: 216
TheWitness wrote:
Boost 4.0-1 is on the Docs site. However, depending on what version of MySQL 5.x you are using, there a nasty bug that I'm going to work around with Boost 4.1. It's an "awful" bug.
TheWitness
Thanks for the information. I will postpone the upgrade until Boost 4.1 is available.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic This topic is locked, you cannot edit posts or make further replies.  [ 16 posts ]  Go to page 1, 2  Next

All times are UTC - 5 hours


Who is online

Users browsing this forum: Exabot [Bot] and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group